﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        if (Session["data"] == null)
        {
            Session["data"] = MakeTable();
        }
        this.WebDataGrid1.DataSource = (DataTable)Session["data"];
    }

    private DataTable MakeTable()
    {
        // Create a new DataTable.
        System.Data.DataTable table = new DataTable("Table");
        // Declare variables for DataColumn and DataRow objects.
        DataColumn column;
        DataRow row;

        // Create new DataColumn, set DataType, 
        // ColumnName and add to DataTable.    
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "id";
        column.ReadOnly = true;
        // Add the Column to the DataColumnCollection.
        table.Columns.Add(column);

        // Create second column.
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Item";
        column.AutoIncrement = false;
        column.Caption = "Item";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table. 
        table.Columns.Add(column);

        // Create third column.
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Data";
        column.AutoIncrement = false;
        column.Caption = "Data";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table.
        table.Columns.Add(column);


        // Make the ID column the primary key column.
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["id"];
        table.PrimaryKey = PrimaryKeyColumns;



        for (int i = 0; i <= 20; i++)
        {
            row = table.NewRow();
            row["id"] = i;
            row["Item"] = "Item " + i;
            row["Data"] = "Data " + i;
            table.Rows.Add(row);
        }
        return table;

    }

    protected void WebDataGrid1_RowsDeleting(object sender, Infragistics.Web.UI.GridControls.RowDeletingEventArgs e)
    {
        DataTable table=(DataTable)Session["data"];
       DataRow row= table.Rows.Find(e.Row.DataKey);
       table.Rows.Remove(row);

       table.AcceptChanges();

       Session["data"] = table;

       this.WebDataGrid1.DataSource = (DataTable)Session["data"];

       this.WebDataGrid1.DataBind();
    }

}